slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSGetST

Obtain the spectral transformation (ST) object associated to the eigensolver object.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetST(EPS eps,ST *st)

Not Collective

### Input Parameters

| eps | - eigensolver context obtained from EPSCreate()

### Output Parameter

| st | - spectral transformation context

### See Also

EPSSetST()

### Level

intermediate

### Location

src/eps/interface/epsbasic.c

### Examples

src/eps/tutorials/ex7.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex12.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex25.c
src/eps/tutorials/ex34.c
src/eps/tutorials/ex35.c
src/eps/tutorials/ex36.c
src/eps/tutorials/ex43.c
src/eps/tutorials/ex46.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages